Module java.base
Package java.util

# Enum Class Locale.IsoCountryCode

java.lang.Object
java.lang.Enum<Locale.IsoCountryCode>
java.util.Locale.IsoCountryCode

All Implemented Interfaces:
  `Serializable`, `Comparable<Locale.IsoCountryCode>`, `Constable`

Enclosing class:
  Locale

public static enum Locale.IsoCountryCode extends Enum<Locale.IsoCountryCode>
Enum for specifying the type defined in ISO 3166. This enum is used to retrieve the two-letter ISO3166-1 alpha-2, three-letter ISO3166-1 alpha-3, four-letter ISO3166-3 country codes.

Since:
  9
See Also:
  `Locale.getISOCountries(Locale.IsoCountryCode)`

## Nested Class Summary

## Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PART1_ALPHA2`
PART1_ALPHA2 is used to represent the ISO3166-1 alpha-2 two letter country codes.
`PART1_ALPHA3`
PART1_ALPHA3 is used to represent the ISO3166-1 alpha-3 three letter country codes.
`PART3`
PART3 is used to represent the ISO3166-3 four letter country codes.

## Method Summary

Modifier and Type
Method
Description
`static Locale.IsoCountryCode`
`valueOf​(String name)`
Returns the enum constant of this class with the specified name.
`static Locale.IsoCountryCode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PART1_ALPHA2

public static final Locale.IsoCountryCode PART1_ALPHA2
PART1_ALPHA2 is used to represent the ISO3166-1 alpha-2 two letter country codes.

### PART1_ALPHA3

public static final Locale.IsoCountryCode PART1_ALPHA3
PART1_ALPHA3 is used to represent the ISO3166-1 alpha-3 three letter country codes.

### PART3

public static final Locale.IsoCountryCode PART3
PART3 is used to represent the ISO3166-3 four letter country codes.

## Method Details

### values

public static Locale.IsoCountryCode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Locale.IsoCountryCode valueOf​(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null